package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

import java.util.List;

public class PhysicalPorts {
    private Metadata metadata;
    private List<HostEthernetAdapterPhysicalPort> hostEthernetAdapterPhysicalPort;

    public PhysicalPorts() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public List<HostEthernetAdapterPhysicalPort> getHostEthernetAdapterPhysicalPort() {
        return hostEthernetAdapterPhysicalPort;
    }

    public void setHostEthernetAdapterPhysicalPort(
        List<HostEthernetAdapterPhysicalPort> hostEthernetAdapterPhysicalPort) {
        this.hostEthernetAdapterPhysicalPort = hostEthernetAdapterPhysicalPort;
    }

    @Override
    public String toString() {
        return "PhysicalPorts [metadata=" + metadata + ", hostEthernetAdapterPhysicalPort="
            + hostEthernetAdapterPhysicalPort + "]";
    }
}
